https://github.com/openldap/openldap/commit/d7c0417bcfba5400c0be2ce83eaf43ec97c97edd.patch
https://github.com/openldap/openldap/commit/d75de4d6e98e9501ada2b6a1d527669bd7eb2fa3.patch
https://bugs.gentoo.org/836557

From: Yi Zhao <yi.zhao@windriver.com>
Date: Thu, 2 Dec 2021 11:38:15 +0800
Subject: [PATCH] ITS#9840 - ldif-filter: fix parallel build failure

Add slapd-common.o as dependency for ldif-filter to fix the parallel
build failure:
  ld: cannot find slapd-common.o: No such file or directory

Signed-off-by: Yi Zhao <yi.zhao@windriver.com>
--- a/tests/progs/Makefile.in
+++ b/tests/progs/Makefile.in
@@ -56,7 +56,7 @@ slapd-modify: slapd-modify.o $(OBJS) $(XLIBS)
 slapd-bind: slapd-bind.o $(OBJS) $(XLIBS)
 	$(LTLINK) -o $@ slapd-bind.o $(OBJS) $(LIBS)
 
-ldif-filter: ldif-filter.o $(XLIBS)
+ldif-filter: ldif-filter.o $(OBJS) $(XLIBS)
 	$(LTLINK) -o $@ ldif-filter.o $(OBJS) $(LIBS)
 
 slapd-mtread: slapd-mtread.o $(OBJS) $(XLIBS)

From: Yi Zhao <yi.zhao@windriver.com>
Date: Mon, 10 Jan 2022 10:13:51 +0800
Subject: [PATCH] ITS#9840 - libraries/Makefile.in: ignore the mkdir errors

Ignore the mkdir errors to fix the parallel build failure:

../../build/shtool mkdir -p TOPDIR/tmp-glibc/work/cortexa15t2hf-neon-wrs-linux-gnueabi/openldap/2.5.9-r0/image/usr/lib
mkdir: cannot create directory 'TOPDIR/tmp-glibc/work/cortexa15t2hf-neon-wrs-linux-gnueabi/openldap/2.5.9-r0/image/usr/lib': File exists

Signed-off-by: Yi Zhao <yi.zhao@windriver.com>
--- a/libraries/Makefile.in
+++ b/libraries/Makefile.in
@@ -24,7 +24,7 @@ PKGCONFIG_DIR=$(DESTDIR)$(libdir)/pkgconfig
 PKGCONFIG_SRCDIRS=liblber libldap
 
 install-local:
-	@$(MKDIR) $(PKGCONFIG_DIR)
+	@-$(MKDIR) $(PKGCONFIG_DIR)
 	@for i in $(PKGCONFIG_SRCDIRS); do \
 	    $(INSTALL_DATA) $$i/*.pc $(PKGCONFIG_DIR); \
 	done
